Package tigase.form

## Class Fields

- java.lang.Object
- - tigase.form.Fields

-     public class Fields
      extends java.lang.Object

  Author:
    Wojciech Kapcia

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Fields()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addField​(Field field)` |
    `void` | `clear()` |
    `Field` | `get​(java.lang.String var)` |
    `java.util.List<Field>` | `getAllFields()` |
    `java.lang.Boolean` | `getAsBoolean​(java.lang.String var)` |
    `java.lang.Integer` | `getAsInteger​(java.lang.String var)` |
    `java.lang.Long` | `getAsLong​(java.lang.String var)` |
    `java.lang.String` | `getAsString​(java.lang.String var)` |
    `java.lang.String[]` | `getAsStrings​(java.lang.String var)` |
    `boolean` | `is​(java.lang.String var)` |
    `void` | `removeField​(java.lang.String var)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final java.util.logging.Logger log

  - ### Constructor Detail

    - #### Fields

          public Fields()

  - ### Method Detail

    - #### addField

          public void addField​(Field field)

    - #### clear

          public void clear()

    - #### get

          public Field get​(java.lang.String var)

    - #### getAllFields

          public java.util.List<Field> getAllFields()

    - #### getAsBoolean

          public java.lang.Boolean getAsBoolean​(java.lang.String var)

    - #### getAsInteger

          public java.lang.Integer getAsInteger​(java.lang.String var)

    - #### getAsLong

          public java.lang.Long getAsLong​(java.lang.String var)

    - #### getAsString

          public java.lang.String getAsString​(java.lang.String var)

    - #### getAsStrings

          public java.lang.String[] getAsStrings​(java.lang.String var)

    - #### is

          public boolean is​(java.lang.String var)

    - #### removeField

          public void removeField​(java.lang.String var)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`